JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const blueprintView of client.blueprints.list()) {
console.log(blueprintView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.blueprints.list()
page = page.blueprints[0]
print(page.id)curl --request GET \
--url https://api.runloop.ai/v1/blueprints \
--header 'Authorization: Bearer <token>'
{
"blueprints": [
{
"id": "<string>",
"name": "<string>",
"create_time_ms": 123,
"parameters": {
"name": "<string>",
"dockerfile": "<string>",
"system_setup_commands": [
"<string>"
],
"code_mounts": [
{
"repo_name": "<string>",
"repo_owner": "<string>",
"install_command": "<string>",
"git_ref": "<string>",
"token": "<string>"
}
],
"launch_parameters": {
"launch_commands": [
"<string>"
],
"available_ports": [
123
],
"keep_alive_time_seconds": 123,
"after_idle": {
"idle_time_seconds": 123
},
"custom_cpu_cores": 123,
"custom_gb_memory": 123,
"custom_disk_size": 123,
"user_parameters": {
"username": "<string>",
"uid": 123
},
"required_services": [
"<string>"
],
"network_policy_id": "<string>",
"lifecycle": {
"after_idle": {
"idle_time_seconds": 123
},
"resume_triggers": {
"http": true,
"axon_event": true
},
"lifecycle_hooks": {
"suspend_commands": [
"<string>"
],
"suspend_deadline_ms": 123
}
}
},
"file_mounts": {},
"base_blueprint_id": "<string>",
"base_blueprint_name": "<string>",
"services": [
{
"name": "<string>",
"image": "<string>",
"credentials": {
"username": "<string>",
"password": "<string>"
},
"env": {},
"port_mappings": [
"<string>"
],
"options": "<string>"
}
],
"metadata": {},
"build_args": {},
"secrets": {},
"build_context": {
"object_id": "<string>",
"type": "object"
},
"network_policy_id": "<string>"
},
"build_finish_time_ms": 123,
"base_blueprint_id": "<string>",
"containerized_services": [
{
"name": "<string>",
"image": "<string>",
"credentials": {
"username": "<string>",
"password": "<string>"
},
"env": {},
"port_mappings": [
"<string>"
],
"options": "<string>"
}
],
"is_public": true,
"metadata": {},
"devbox_capabilities": []
}
],
"has_more": true,
"total_count": 123
}Blueprint
List Blueprints.
List all Blueprints or filter by name.
GET
/
v1
/
blueprints
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const blueprintView of client.blueprints.list()) {
console.log(blueprintView.id);
}import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
page = client.blueprints.list()
page = page.blueprints[0]
print(page.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by name
Filter by build status (queued, provisioning, building, failed, build_complete)
The limit of items to return. Default is 20. Max is 5000.
Load the next page of data starting after the item with the given ID.
If true (default), includes total_count in the response. Set to false to skip the count query for better performance on large datasets.
Was this page helpful?
⌘I
